CVE-2010-1639

NameCVE-2010-1639
DescriptionThe cli_pdf function in libclamav/pdf.c in ClamAV before 0.96.1 allows remote attackers to cause a denial of service (crash) via a malformed PDF file, related to an inconsistency in the calculated stream length and the real stream length.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: remote)
Debian Bugs584183

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
clamav (PTS)jessie0.100.0+dfsg-0+deb8u1fixed
jessie (security)0.100.3+dfsg-0+deb8u1fixed
stretch0.100.3+dfsg-0+deb9u1fixed
buster, bullseye, sid0.101.2+dfsg-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
clamavsource(unstable)0.96.1+dfsg-1medium584183
clamavsourcelenny(unfixed)end-of-life

Search for package or bug name: Reporting problems